#include "checklistviewwidget.h"

#include <QHBoxLayout>
#include <QLabel>
#include <QPushButton>
#include <check/check.h>
#include <iostream>

CheckListViewWidget::CheckListViewWidget(QWidget *parent, Check check) : QWidget(parent), check(check) {

    std::cout << "I was created with check with date " << check.get_date() << std::endl;
    QHBoxLayout *layout = new QHBoxLayout;

    QLabel *label1 = new QLabel(QString::fromStdString(check.get_date()));
    QLabel *label2 = new QLabel("Text 2");
    QLabel *label3 = new QLabel("Text 3");

    QPushButton *deleteButton = new QPushButton(tr("Delete"));

    deleteButton->connect(deleteButton, &QPushButton::clicked, this, &CheckListViewWidget::deleteButtonPressed);

    layout->addWidget(label1);
    layout->addWidget(label2);
    layout->addWidget(label3);
    layout->addSpacing(10);
    layout->addWidget(deleteButton);

    setLayout(layout);
}
